Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

fix(deps): pin '{api,cloud}-core', 'auth' to allow 2.x versions on Python3 #512

Merged
merged 5 commits into from Jul 20, 2021

Conversation

@tseaver
Copy link
Contributor

@tseaver tseaver commented Jul 20, 2021

See: googleapis/google-cloud-python#10566

google-cloud-storage needs to pin to the 1.x versions of google-api-core / google-cloud-core / google-auth, but only for Python 2.7: Python 3 users should not need that restriction.

@tseaver tseaver requested review from tswast, andrewsg, busunkim96 and Jul 20, 2021
@tseaver tseaver requested a review from as a code owner Jul 20, 2021
@google-cla google-cla bot added the cla: yes label Jul 20, 2021
@tseaver tseaver mentioned this pull request Jul 20, 2021
@tseaver tseaver changed the title fix(deps): pin 'api,cloud}-core', 'auth' to allow 2.x versions on Python3 fix(deps): pin '{api,cloud}-core', 'auth' to allow 2.x versions on Python3 Jul 20, 2021
@tseaver tseaver merged commit 4d7500e into master Jul 20, 2021
8 checks passed
@tseaver tseaver deleted the split-deps-for-py27 branch Jul 20, 2021
cojenco added a commit to cojenco/python-storage that referenced this issue Oct 13, 2021
cojenco added a commit to cojenco/python-storage that referenced this issue Oct 13, 2021
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants